org.apache.felix.obrplugin

## Class ObrUtils

- java.lang.Object
- - org.apache.felix.obrplugin.ObrUtils

-     public class ObrUtils
      extends Object

  Various OBR utility methods
  Author:
    Felix Project Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObrUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URI` | `findObrXml(org.apache.maven.project.MavenProject project)`
    `static URI` | `findRepositoryXml(String mavenRepository, String obrRepository)`
    `static URI` | `getArtifactURI(org.apache.maven.artifact.repository.ArtifactRepository repository, org.apache.maven.artifact.Artifact artifact)`
    `static URI` | `getRelativeURI(URI repositoryXml, URI bundleJar)`
    `static URI` | `toFileURI(String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObrUtils

          public ObrUtils()

  - ### Method Detail

    - #### findRepositoryXml

          public static URI findRepositoryXml(String mavenRepository,
                              String obrRepository)

      Parameters:
        `mavenRepository` - path to local maven repository
        `obrRepository` - path to specific repository.xml
      Returns:
        URI pointing to correct repository.xml

    - #### findObrXml

          public static URI findObrXml(org.apache.maven.project.MavenProject project)

      Parameters:
        `project` - current project
      Returns:
        URI pointing to correct obr.xml, null if not found

    - #### getArtifactURI

          public static URI getArtifactURI(org.apache.maven.artifact.repository.ArtifactRepository repository,
                           org.apache.maven.artifact.Artifact artifact)

      Parameters:
        `repository` - maven repository
        `artifact` - maven artifact
      Returns:
        file URI pointing to artifact in repository

    - #### toFileURI

          public static URI toFileURI(String path)

      Parameters:
        `path` - filesystem path
      Returns:
        file URI for the path

    - #### getRelativeURI

          public static URI getRelativeURI(URI repositoryXml,
                           URI bundleJar)

      Parameters:
        `repositoryXml` - URI pointing to repository.xml, or directory containing it
        `bundleJar` - URI pointing to bundle jarfile
      Returns:
        relative URI to bundle jarfile

Copyright © 2015. All rights reserved.